Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper
Class Constants

    java.lang.Object
      org.apache.jasper.Constants

    public class Constants

extends Object

Some constants and other global data that are used by the compiler and the runtime.

Author:
  Anil K. Vijendran, Harish Prabandham, Shawn Bayern, Mark Roth

Field Summary
`static String` | `ALT_DD_ATTR`
`static int` | `DEFAULT_BUFFER_SIZE`
`static int` | `DEFAULT_INITIAL_CAPACITY`
`static int` | `DEFAULT_TAG_BUFFER_SIZE` Default size for the tag buffers.
`static char` | `ESC` A replacement char for "\$".
`static String` | `ESCStr`
`static String` | `FIRST_REQUEST_SEEN`
`static String` | `FORWARD_SEEN`
`static String` | `IE_PLUGIN_URL`
`static String` | `INC_REQUEST_URI` Servlet context and request attributes that the JSP engine uses.
`static String` | `INC_SERVLET_PATH`
`static boolean` | `IS_SECURITY_ENABLED` Has security been turned on?
`static String` | `JSP_FILE` FIXME Request attribute for `<jsp-file>` element of a servlet definition.
`static String` | `JSP_PACKAGE_NAME` The default package name for compiled jsp pages.
`static String` | `JSP_PROPERTY_GROUPS_CONTEXT_ATTRIBUTE`
`static String` | `JSP_RESOURCE_INJECTOR_CONTEXT_ATTRIBUTE`
`static String` | `JSP_SERVLET_BASE` The base class of the generated servlets.
`static String` | `JSP_TAGFILE_JAR_URLS_CACHE`
`static String` | `JSP_TAGLIBRARY_CACHE`
`static String` | `JSP_TLD_URI_TO_LOCATION_MAP`
`static Double` | `JSP_VERSION_2_0`
`static Double` | `JSP_VERSION_2_1`
`static int` | `K` Default size of the JSP buffer.
`static int` | `MAX_POOL_SIZE` Default tag handler pool size.
`static String` | `NS_PLUGIN_URL` Default URLs to download the pluging for Netscape and IE.
`static String` | `PRECOMPILE` The query parameter that causes the JSP engine to just pregenerated the servlet but not invoke it.
`static String` | `SCHEMA_LOCATION_JSP_20`
`static String` | `SCHEMA_LOCATION_JSP_21`
`static String` | `SCHEMA_LOCATION_WEBAPP_24`
`static String` | `SCHEMA_LOCATION_WEBAPP_25`
`static String` | `SERVICE_METHOD_NAME` _jspService is the name of the method that is called by HttpJspBase.service().
`static String` | `SERVLET_CLASS_LOADER` FIXME ServletContext attribute for class loader.
`static String` | `SERVLET_CLASSPATH` FIXME ServletContext attribute for classpath.
`static String` | `SERVLET_CONTENT_TYPE` Default servlet content type.
`static String` | `TAG_FILE_PACKAGE_NAME` The default package name for tag handlers generated from tag files
`static String` | `TAGLIB_DTD_PUBLIC_ID_11` Public Id and the Resource path (of the cached copy) of the DTDs and schemas for tag library descriptors.
`static String` | `TAGLIB_DTD_PUBLIC_ID_12`
`static String` | `TAGLIB_DTD_RESOURCE_PATH_11`
`static String` | `TAGLIB_DTD_RESOURCE_PATH_12`
`static String` | `TAGLIB_SCHEMA_PUBLIC_ID_20`
`static String` | `TAGLIB_SCHEMA_PUBLIC_ID_21`
`static String` | `TAGLIB_SCHEMA_RESOURCE_PATH_20`
`static String` | `TAGLIB_SCHEMA_RESOURCE_PATH_21`
`static String` | `TEMP_VARIABLE_NAME_PREFIX` Prefix to use for generated temporary variable names
`static String` | `TMP_DIR`
`static String` | `WEB_XML_VERSION_CONTEXT_ATTRIBUTE`
`static String` | `WEBAPP_DTD_PUBLIC_ID_22` Public Id and the Resource path (of the cached copy) of the DTDs and schemas for web application deployment descriptors
`static String` | `WEBAPP_DTD_PUBLIC_ID_23`
`static String` | `WEBAPP_DTD_RESOURCE_PATH_22`
`static String` | `WEBAPP_DTD_RESOURCE_PATH_23`
`static String` | `WEBAPP_SCHEMA_PUBLIC_ID_24`
`static String` | `WEBAPP_SCHEMA_PUBLIC_ID_25`
`static String` | `WEBAPP_SCHEMA_RESOURCE_PATH_24`
`static String` | `WEBAPP_SCHEMA_RESOURCE_PATH_25`

Constructor Summary
`Constants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JSP_SERVLET_BASE

    public static final String JSP_SERVLET_BASE

  The base class of the generated servlets.

  See Also:
    Constant Field Values

### SERVICE_METHOD_NAME

    public static final String SERVICE_METHOD_NAME

  _jspService is the name of the method that is called by HttpJspBase.service(). This is where most of the code generated from JSPs go.

  See Also:
    Constant Field Values

### SERVLET_CONTENT_TYPE

    public static final String SERVLET_CONTENT_TYPE

  Default servlet content type.

  See Also:
    Constant Field Values

### SERVLET_CLASSPATH

    public static final String SERVLET_CLASSPATH

  FIXME ServletContext attribute for classpath. This is tomcat specific. Other servlet engines may choose to support this attribute if they want to have this JSP engine running on them.

  See Also:
    Constant Field Values

### JSP_FILE

    public static final String JSP_FILE

  FIXME Request attribute for `<jsp-file>` element of a servlet definition. If present on a request, this overrides the value returned by `request.getServletPath()` to select the JSP page to be executed.

  See Also:
    Constant Field Values

### SERVLET_CLASS_LOADER

    public static final String SERVLET_CLASS_LOADER

  FIXME ServletContext attribute for class loader. This is tomcat specific. Other servlet engines can choose to have this attribute if they want to have this JSP engine running on them.

  See Also:
    Constant Field Values

### K

    public static final int K

  Default size of the JSP buffer.

  See Also:
    Constant Field Values

### DEFAULT_BUFFER_SIZE

    public static final int DEFAULT_BUFFER_SIZE

See Also:
  Constant Field Values

### DEFAULT_TAG_BUFFER_SIZE

    public static final int DEFAULT_TAG_BUFFER_SIZE

  Default size for the tag buffers.

  See Also:
    Constant Field Values

### MAX_POOL_SIZE

    public static final int MAX_POOL_SIZE

  Default tag handler pool size.

  See Also:
    Constant Field Values

### PRECOMPILE

    public static final String PRECOMPILE

  The query parameter that causes the JSP engine to just pregenerated the servlet but not invoke it.

  See Also:
    Constant Field Values

### JSP_PACKAGE_NAME

    public static final String JSP_PACKAGE_NAME

  The default package name for compiled jsp pages.

  See Also:
    Constant Field Values

### TAG_FILE_PACKAGE_NAME

    public static final String TAG_FILE_PACKAGE_NAME

  The default package name for tag handlers generated from tag files

  See Also:
    Constant Field Values

### INC_REQUEST_URI

    public static final String INC_REQUEST_URI

  Servlet context and request attributes that the JSP engine uses.

  See Also:
    Constant Field Values

### INC_SERVLET_PATH

    public static final String INC_SERVLET_PATH

See Also:
  Constant Field Values

### TMP_DIR

    public static final String TMP_DIR

See Also:
  Constant Field Values

### FORWARD_SEEN

    public static final String FORWARD_SEEN

See Also:
  Constant Field Values

### FIRST_REQUEST_SEEN

    public static final String FIRST_REQUEST_SEEN

See Also:
  Constant Field Values

### ALT_DD_ATTR

    public static final String ALT_DD_ATTR

See Also:
  Constant Field Values

### TAGLIB_DTD_PUBLIC_ID_11

    public static final String TAGLIB_DTD_PUBLIC_ID_11

  Public Id and the Resource path (of the cached copy) of the DTDs and schemas for tag library descriptors.

  See Also:
    Constant Field Values

### TAGLIB_DTD_RESOURCE_PATH_11

    public static final String TAGLIB_DTD_RESOURCE_PATH_11

See Also:
  Constant Field Values

### TAGLIB_DTD_PUBLIC_ID_12

    public static final String TAGLIB_DTD_PUBLIC_ID_12

See Also:
  Constant Field Values

### TAGLIB_DTD_RESOURCE_PATH_12

    public static final String TAGLIB_DTD_RESOURCE_PATH_12

See Also:
  Constant Field Values

### TAGLIB_SCHEMA_PUBLIC_ID_20

    public static final String TAGLIB_SCHEMA_PUBLIC_ID_20

See Also:
  Constant Field Values

### TAGLIB_SCHEMA_RESOURCE_PATH_20

    public static final String TAGLIB_SCHEMA_RESOURCE_PATH_20

See Also:
  Constant Field Values

### TAGLIB_SCHEMA_PUBLIC_ID_21

    public static final String TAGLIB_SCHEMA_PUBLIC_ID_21

See Also:
  Constant Field Values

### TAGLIB_SCHEMA_RESOURCE_PATH_21

    public static final String TAGLIB_SCHEMA_RESOURCE_PATH_21

See Also:
  Constant Field Values

### SCHEMA_LOCATION_JSP_20

    public static final String SCHEMA_LOCATION_JSP_20

See Also:
  Constant Field Values

### SCHEMA_LOCATION_JSP_21

    public static final String SCHEMA_LOCATION_JSP_21

See Also:
  Constant Field Values

### WEBAPP_DTD_PUBLIC_ID_22

    public static final String WEBAPP_DTD_PUBLIC_ID_22

  Public Id and the Resource path (of the cached copy) of the DTDs and schemas for web application deployment descriptors

  See Also:
    Constant Field Values

### WEBAPP_DTD_RESOURCE_PATH_22

    public static final String WEBAPP_DTD_RESOURCE_PATH_22

See Also:
  Constant Field Values

### WEBAPP_DTD_PUBLIC_ID_23

    public static final String WEBAPP_DTD_PUBLIC_ID_23

See Also:
  Constant Field Values

### WEBAPP_DTD_RESOURCE_PATH_23

    public static final String WEBAPP_DTD_RESOURCE_PATH_23

See Also:
  Constant Field Values

### WEBAPP_SCHEMA_PUBLIC_ID_24

    public static final String WEBAPP_SCHEMA_PUBLIC_ID_24

See Also:
  Constant Field Values

### WEBAPP_SCHEMA_RESOURCE_PATH_24

    public static final String WEBAPP_SCHEMA_RESOURCE_PATH_24

See Also:
  Constant Field Values

### WEBAPP_SCHEMA_PUBLIC_ID_25

    public static final String WEBAPP_SCHEMA_PUBLIC_ID_25

See Also:
  Constant Field Values

### WEBAPP_SCHEMA_RESOURCE_PATH_25

    public static final String WEBAPP_SCHEMA_RESOURCE_PATH_25

See Also:
  Constant Field Values

### SCHEMA_LOCATION_WEBAPP_24

    public static final String SCHEMA_LOCATION_WEBAPP_24

See Also:
  Constant Field Values

### SCHEMA_LOCATION_WEBAPP_25

    public static final String SCHEMA_LOCATION_WEBAPP_25

See Also:
  Constant Field Values

### NS_PLUGIN_URL

    public static final String NS_PLUGIN_URL

  Default URLs to download the pluging for Netscape and IE.

  See Also:
    Constant Field Values

### IE_PLUGIN_URL

    public static final String IE_PLUGIN_URL

See Also:
  Constant Field Values

### TEMP_VARIABLE_NAME_PREFIX

    public static final String TEMP_VARIABLE_NAME_PREFIX

  Prefix to use for generated temporary variable names

  See Also:
    Constant Field Values

### ESC

    public static final char ESC

  A replacement char for "\$". XXX This is a hack to avoid changing EL interpreter to recognize "\$"

  See Also:
    Constant Field Values

### ESCStr

    public static final String ESCStr

See Also:
  Constant Field Values

### JSP_VERSION_2_0

    public static final Double JSP_VERSION_2_0

### JSP_VERSION_2_1

    public static final Double JSP_VERSION_2_1

### DEFAULT_INITIAL_CAPACITY

    public static final int DEFAULT_INITIAL_CAPACITY

See Also:
  Constant Field Values

### JSP_TAGLIBRARY_CACHE

    public static final String JSP_TAGLIBRARY_CACHE

See Also:
  Constant Field Values

### JSP_TAGFILE_JAR_URLS_CACHE

    public static final String JSP_TAGFILE_JAR_URLS_CACHE

See Also:
  Constant Field Values

### JSP_PROPERTY_GROUPS_CONTEXT_ATTRIBUTE

    public static final String JSP_PROPERTY_GROUPS_CONTEXT_ATTRIBUTE

See Also:
  Constant Field Values

### WEB_XML_VERSION_CONTEXT_ATTRIBUTE

    public static final String WEB_XML_VERSION_CONTEXT_ATTRIBUTE

See Also:
  Constant Field Values

### JSP_TLD_URI_TO_LOCATION_MAP

    public static final String JSP_TLD_URI_TO_LOCATION_MAP

See Also:
  Constant Field Values

### JSP_RESOURCE_INJECTOR_CONTEXT_ATTRIBUTE

    public static final String JSP_RESOURCE_INJECTOR_CONTEXT_ATTRIBUTE

See Also:
  Constant Field Values

### IS_SECURITY_ENABLED

    public static final boolean IS_SECURITY_ENABLED

  Has security been turned on?

Constructor Detail

### Constants

    public Constants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.